[Python-de] _xmlplus Version 0.7 vs 0.8.1 (Jetzt funktioniert es...)

Björn Platzen bplatzen at sosnetz.de
Mon Nov 18 19:57:16 EST 2002


Hallo Liste, hallo Martin,

es war ein langer und steiniger Weg, aber jetzt klappt wieder alles (zumindest 
was in Python geschrieben ist...)

Wie man das bei dem Provider jetzt zum Laufen gebracht hat, weis ich auch 
nicht. Allerdings ist uns bei den gemeinsamen Versuchen, das ans Laufen zu 
bringen folgendes aufgefallen:

Zunächst mal die Antwort auf Martins Frage
> Mich würde dann mal interessieren, welcher Treiber da geladen werden
> sollte.
Hier der Output:
Unable to load xml.sax.drivers.drv_pyexpat

Wir haben dann mal in eben dieser drv_pyexpat.py aus

try:
    from xml.parsers import expat
except ImportError:
    raise SAXReaderNotAvailable("expat not supported",None)

ein 

#try:
from xml.parsers import expat
#except ImportError:
#    raise SAXReaderNotAvailable("expat not supported",None)

gemacht und schon bekamen wir folgende Fehlermeldungen:

Traceback (most recent call last):
  File "/var/httpd/parkinfo.aachen.de/cgi-bin/ideaparser4pi.py", line 402, in 
?
    parse_idea_file(argv)
  File "/var/httpd/parkinfo.aachen.de/cgi-bin/ideaparser4pi.py", line 202, in 
parse_idea_file
    add_free(datei, inname[0])
  File "/var/httpd/parkinfo.aachen.de/cgi-bin/ideaparser4pi.py", line 144, in 
add_free
    admparkinfo=Sax.FromXml(admparkinfoFile)
  File "/usr/lib/python2.2/site-packages/_xmlplus/dom/ext/reader/Sax.py", line 
151, in FromXml
    saxHandlerClass, parser)
  File "/usr/lib/python2.2/site-packages/_xmlplus/dom/ext/reader/Sax.py", line 
143, in FromXmlStream
    reader = Reader(validate, keepAllWs, catName, saxHandlerClass, parser)
  File "/usr/lib/python2.2/site-packages/_xmlplus/dom/ext/reader/Sax.py", line 
118, in __init__
    self.parser = parser or (validate and 
saxexts.XMLValParserFactory.make_parser()) or 
saxexts.XMLParserFactory.make_parser()
  File "/usr/lib/python2.2/site-packages/_xmlplus/sax/saxexts.py", line 64, in 
make_parser
    return self._create_parser(parser_name)
  File "/usr/lib/python2.2/site-packages/_xmlplus/sax/saxexts.py", line 42, in 
_create_parser
    drv_module = __import__(parser_name,{},{},['create_parser'])
  File "/usr/lib/python2.2/site-packages/_xmlplus/sax/drivers/drv_pyexpat.py", 
line 18, in ?
    from xml.parsers import expat
  File "/usr/lib/python2.2/site-packages/_xmlplus/parsers/expat.py", line 4, 
in ?
    from pyexpat import *
ImportError: /usr/lib/python2.2/site-packages/_xmlplus/parsers/pyexpat.so: 
undefined symbol: PyUnicodeUCS2_DecodeUTF8

ein find . -type f -exec grep -i -l PyUnicodeUCS2_DecodeUTF8 {} \; (in 
/usr/lib/) auf dem Server ergab kein Ergebnis, auf meiner Arbeitsmaschine 
wurden hingegen schon ein paar Dateien gefunden, in denen das vorkam.

Woran es nun lag und was die beim Provider jetzt damit gemacht haben, weis ich 
wie gesagt leider nicht, aber wenn ich es noch herausbekomme poste ich das 
dann nochmal.

Nochmals Vielen Dank an alle Helfer!!

Schöne Grüße,

Björn

-- 
small office solutions
info at sosnetz.de  -  http://www.sosnetz.de




More information about the Python-de mailing list